# $Revision: 1.32 $, $Date: 2007/10/16 14:52:03 $
Summary:	A time server for synchronizing networked machines' clocks
Summary(de.UTF-8):	Zeit-Server zum Synchronisieren von Uhren
Summary(es.UTF-8):	Time server para sincronización de hora
Summary(pl.UTF-8):	Serwer czasu do synchronizacji zegarów komputerów w sieci
Summary(pt.UTF-8):	Time server para sincronização de hora
Summary(ru.UTF-8):	Сервер для синхронизации системных часов машин в сети
Summary(tr.UTF-8):	Saat eşzamanlaması için time sunucusu
Summary(uk.UTF-8):	Сервер для синхронізації системних годинників машин в мережі
Name:		intimed
Version:	1.10
Release:	17
License:	Freeware
Group:		Daemons
Source0:	ftp://sunsite.unc.edu/pub/Linux/system/network/sunacm/Other/intimed/%{name}-%{version}.tar.gz
# Source0-md5:	78610c4580f5839640eb22d34f0f3643
BuildRequires:	rpmbuild(macros) >= 1.268
Source1:	timedt.inetd
Source2:	timedu.inetd
Requires:	rc-inetd
Obsoletes:	timed
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The intimed package contains a server (in.timed), which keeps
networked machines' clocks correctly synchronized to the server's
time.

%description -l de.UTF-8
intimed ist ein Server, der an vernetzte Computer die Zeit ausgibt.
Nützlich zur Synchronisation eines Netzwerks.

%description -l es.UTF-8
intimed es un servidor que irá informar la hora a las máquinas de la
red. Es útil para mantener las máquinas de la red en sincronía.

%description -l fr.UTF-8
intimed est un serveur qui indique aux machines connectées l'heure
qu'il est. Utile pour synchroniser les réseaux de machines sur l'heure
correcte.

%description -l pl.UTF-8
Pakiet intimed zawiera serwer (in.timed), który utrzymuje zegary
maszyn w sieci zsynchronizowane z czasem serwera.

%description -l pt.UTF-8
intimed é um servidor que irá informar às máquinas da rede que horas
ele possui no momento. Ele é útil para manter as máquinas da rede em
sincronia.

%description -l ru.UTF-8
Пакет intimed содержит сервер, который служит для поддержания сети
машин в синхронизме с временем сервера.

%description -l tr.UTF-8
intimed, istemci makinalara saatinin kaç olduğunu söyleyen bir
sunucudur. Bilgisayar ağındaki makinaları eş zamanlı tutmak
yararlıdır.

%description -l uk.UTF-8
Пакет intimed містить сервер, який служить для підтримання мережі
машин в синхронізмі с часом сервера.

%prep
%setup -q -c

%build
%{__make} \
	CFLAGS="%{rpmcflags}" \
	LDFLAGS="-L%{_lib}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},/etc/sysconfig/rc-inetd}

install in.timed $RPM_BUILD_ROOT%{_sbindir}

install %{SOURCE1} $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/timedt
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/timedu

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q rc-inetd reload

%postun
if [ "$1" = 0 ]; then
	%service -q rc-inetd reload
fi

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/in.timed
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/rc-inetd/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: intimed.spec,v $
Revision 1.32  2007/10/16 14:52:03  baggins
- rel 17

Revision 1.31  2007/02/13 08:06:35  glen
- tabs in preamble

Revision 1.30  2007/02/12 00:48:56  baggins
- converted to UTF-8

Revision 1.29  2006/03/14 01:24:26  glen
- unified rc-inetd usage (via %service), adapterized

Revision 1.28  2005/04/06 16:34:45  darekr
- cosmetics

Revision 1.27  2004/08/14 11:37:54  averne
- rel 16

Revision 1.26  2004/08/14 11:36:17  averne
- fixed libdir for amd64

Revision 1.25  2003/12/19 23:10:51  undefine
- release 15 to rebuild with ac

Revision 1.24  2003/05/28 12:59:11  malekith
- massive attack: source-md5

Revision 1.23  2003/05/25 05:48:55  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.22  2002/11/11 10:23:37  kloczek
- release 14: merge translations from KSI.

Revision 1.21  2002/04/25 16:36:50  arturs
fixed a small typo

Revision 1.20  2002/02/22 23:29:04  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.19  2002/01/18 02:13:20  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.18  2001/11/30 09:43:52  qboosh
- pl translations, cosmetics

Revision 1.17  2001/07/28 21:37:29  blues
- typo: %s/sever"/server"/

Revision 1.16  2001/07/26 05:42:09  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.14  2001/04/24 05:33:28  kloczek
- typo.

Revision 1.13  2001/04/24 05:29:21  kloczek
- release 13,
- timed added to Obsoletes,
- added using %%{rpmcflags} macro.

Revision 1.12  2001/01/25 20:03:24  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.11  2000/12/23 00:48:45  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.10  2000/10/12 01:48:20  kloczek
- release 12: use new rpm automation.

Revision 1.9  2000/06/09 07:23:03  kloczek
- added using %%{__make} macro.

Revision 1.8  2000/05/21 01:39:50  kloczek
- spec adapterized.

Revision 1.7  2000/04/10 17:06:17  baggins
- more spelling fixes

Revision 1.6  2000/04/10 15:39:03  mis
- typos

Revision 1.5  2000/04/01 11:14:46  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/01/31 19:32:47  baggins
- reload instead of restart in pre/post scripts
- use RPM_OPT_FLAGS

Revision 1.3  1999/10/29 11:25:16  baggins
- added inetd configs
- prereq rc-inetd
- post/preun scripts

Revision 1.2  1999/08/20 17:35:22  baggins
- macros

Revision 1.1  1999/08/19 20:07:26  baggins
almost raw

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 9)

* Thu Aug 13 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Oct 21 1997 Donnie Barnes <djb@redhat.com>
- spec file cleanups

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
